SDL_RenamePath(3)

NAME
SDL_RenamePath - Rename a file or directory.

HEADER FILE
Defined in SDL3/SDL_filesystem.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RenamePath(const char *oldpath, const char *newpath);

FUNCTION PARAMETERS

oldpath
    the old path

newpath
    the new path

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.